# accumulate_ints.py
# A demonstration program that accumulates a user-controlled number of integer values


def main():
    print('This program accumulates a user-controlled number of integers entered at the console...')
    print()
    accumulator = 0
    count = 0
    string_value = 'a non-empty string value'

    while string_value != '':
        try:
            string_value = input('Please enter an integer, <Enter> to stop: ')
            if string_value != '':
                accumulator += int(string_value)
                count += 1
        except ValueError:
            print('An integer value is required.  You entered:', string_value)

    if count == 1:
        value_text = 'value.'
    else:
        value_text = 'values.'
    print('You entered', count, value_text)
    print('The accumulated total is', accumulator)


main()
